Introduction

FileZilla est un puissant client FTP pour Windows 9x, ME, NT4, 2000 et XP. Il a été créé pour une utilisation facile et est doté des toutes les fonctions possibles, tout en étant rapide et fiable. (consultez l'Historique de FileZilla pour en savoir plus)

Ce guide vous aidera à configurer et à utiliser FileZilla.

Les fonctions principales de FileZilla sont:

  • Capacité à reprendre les Mise à Jour/Téléchargements interrompus (si le serveur le supporte)

  • Commandes Personnalisables

  • Gestionnaire de site avec ses dossiers

  • Système Anti-déconnexion

  • Détection des Temps de Pause

  • Pare-feu Supporté

  • SOCKS4/5 et Proxy HTTP1.1 supportés

  • Connexions SSL sécurisées

  • SFTP supporté

  • File d'Attente Mise à Jour/Téléchargement

  • Glisser&Déposer

  • Support Multi-langue

  • authentification et cryptage GSS utilisant Kerberos

Voir Aussi:

  • Guide rapide de FileZilla

  • Utilisation de FileZilla

  • Configuration

Traduction: Philippe CURTIL


General Information

Informations Générales

Les chapitres suivants incluent quelques informations d'ordre général:

  • Histoire de FileZilla

  • Historique des Versions

  • Compilation de FileZilla


Compiling FileZilla

Compilation de FileZilla

Pour compiler FileZilla, vous avez besoin des programmes et outils suivants:

  • MS Visual C++ 6

  • La dernière version de la plate-forme MS SDK sur http://www.microsoft.com/msdownload/platformsdk/sdkupdate/

  • MS HTML Help Workshop

Vous pouvez télécharger la dernière version de HTML Help Workshop sur Microsoft Website. Après installation, il vous faudra préparer DevStudio: allez à Outils, Options, Dossiers, puis (en vous assurant d'avoir installé HTML Help Workshop sur C:\Program Files\HTML Help Workshop):

  • dans Afficher les dossiers pour choisissez Inclure les fichiers, cliquez sur Nouveau et tapez
    C:\Program Files\HTML Help Workshop\include

  • dans Afficher les dossiers pour choisissez Fichiers de librairies, cliquez sur Nouveau et tapez
    C:\Program Files\HTML Help Workshop\lib

  • dans Afficher les dossiers pour choisissez Fichiers exécutables, cliquez sur Nouveau et tapez
    C:\Program Files\HTML Help Workshop

  • fermez DevStudio et redémarrez pour enregistrer les changements.

Pour compiler le script d'installation, vous devrez télécharger et installer NSIS. Après l'installation de NSIS, faites un clic droit sur le fichier FileZilla.nsi dans l'explorateur et choisissez "Compiler NSI".


FileZilla history

L'Histoire de FileZilla

Comme chef du projet, je suis très fier du succès de FileZilla. Depuis la première version alpha de FileZilla, réalisée fin février 2001, FileZilla est devenu très populaire. Il existe plus d'une centaine d'autres clients FTP pour Windows, mais aucun d'entre eux n'a atteint un tel résultat en si peu de temps. Il y a certainement des raisons au succès de FileZilla et je vais vous les expliquer ci-dessous.

Au cours de la seconde semaine de janvier 2001, dans le classe Computer Science, j'ai commencé à écrire un client FTP avec deux amis pendant que le reste de notre classe écrivait un clone de "4-in-a-row". Nous ne pensions pas que FileZilla aurait un tel succès. Avant de commencer à coder, nous devions discuter de la façon dont FileZilla devrait être réalisé. Nous décidâmes de créer FileZilla en projet open source. Il existait déjà beaucoup de clients FTP disponibles et nous ne pensions pas que nous en vendrions un seul exemplaire si nous commercialisions FileZilla, et par conséquent l'open source était le meilleur choix.

Notre objectif principal pour FileZilla fut d'écrire un client FTP simple, avec une interface utilisateur extrêmement simple. FileZilla devrait supporter toutes les fonctions de base nécessaires pour parcourir un serveur et transférer des fichiers. FileZilla devrait aussi être rapide et fiable. A chaque version, de nouvelles fonctions étaient ajoutées à FileZilla. A partir de la version bêta 2.1, toutes les fonctions requises furent implémentées à FileZilla. Mais le développement ne s'est pas arrêté à la version bêta 2.1. Avec l'aide et les idées des autres utilisateurs de FileZilla, j'ai continué à améliorer le programme. Les bogues ont été supprimés et de nouvelles fonctions ont été ajoutées ou améliorées.

Depuis la première version, FileZilla a été le seul client FTP que j'ai utilisé, et je l'utilise encore chaque jour. Si un programme est vraiment bien, il n'y a aucune raison d'en utiliser un autre.

Mais il existe une autre raison au succès de FileZilla. Certains se sont demandé: "Pourquoi fabrique t-il FileZilla? Il ne gagne rien avec!" En ce qui concerne l'aspect financier, c'est vrai, mais si vous y regardez de plus près, vous verrez ce que j'y gagne. Tout d'abord, l'expérience, que je partage avec les autres par l'intermédiaire du code source ouvert. De plus, beaucoup de gens me connaissent. Ce sont des utilisateurs comme vous qui m'ont envoyé leurs idées et problèmes avec FileZilla par messagerie. C'est le retour des choses, aussi bien positif que - dans une moindre mesure - négatif, et qui est vital pour FileZilla et moi. Cela me montre qu'il y a un intérêt public à mon projet, ce qui me donne des idées pour son amélioration, et me maintient occupé!

Vous comprendrez ce que je ressent si vous avez déjà reçu des emails comme "Super travail, continuez!" ou "Merci pour FileZilla! Mais où faut-il que j'envoie la pizza?"

Merci de votre patience,
Tim Kosse
 Chef du projet FileZilla


Version history

Historique des Versions

L'historique des versions vous fait suivre le développement de FileZilla de version en version.

Version 2.1.4 (31-01-2003):

Nouvelles fonctions:

  • ajout de l'élément "Se connecter et contourner les paramètre de proxy" au menu Connexion Rapide

  • ajout du bouton 'Parcourir le dossier' pour le champ de dossier local dans le Gestionnaire de Sites

  • utilisation possible du retour arrière pour remonter d'un dossier

  • ajout du chinois simplifié

  • l'analyseur de listage de répertoire supporte les listages numériques et le format de serveur VShell.

Corrections et améliorations:

  • la fonction réessayer automatiquement ne fonctionnait pas (1.04a)

  • plantage corrigé et logique de transfert changée pour les téléchargements

  • reprise des chargements corrigée

  • analyse améliorée du listage de répertoire en mode MS-DOS

  • problème résolu avec les liens de fichiers de téléchargement et l'échec de transferts de dossiers

  • le contrôle de la liste des fichiers locaux ne perd plus le focus en changeant de répertoire

  • problème résolu avec GSS qui ne travaillait pas correctement (se produisait si les chaînes cryptées reçues du serveur n'étaient pas terminée par '0')

Version 2.1.3 (06-12-2002):

Nouvelles fonctions:

  • ajout de la configuration de la Vitesse Limite (écrit par Roman Ruckschloss)

  • le Gestionnaire de Site peut être configuré pour ne pas déployer le dossier au démarrage et trier les dossiers avant les sites (écrit par Jonathon Merz)

  • ajout du menu déroulant au bouton 'Gestionnaire de Sites' de la barre d'outils (écrit par Roman Ruckschloss)

  • ajout du Chinois Traditionnel

  • ajout de l'analyseur de listage de répertoire EPLF

Corrections et améliorations:

  • documentation mise à jour

  • correction de l'analyse des chemins contenant des espaces avec la Connexion Rapide

  • plantage corrigé avec les noms de fichiers très longs (>256 caract.)

  • le défilement horizontal dans le journal des messages ne fonctionnait pas correctement

  • amélioration légère de la vitesse d'analyse du listage des répertoires

  • certains pépins d'interface et plantages rares corrigés

  • le support de proxy fonctionne à nouveau (2.1.3a)

Version 2.1.2 (20-10-2002):

Nouvelles fonctions:

  • copie d'URL dans le presse-papier

  • ajout du menu à la barre de connexion rapide, incluant l'élément de nettoyage et l'historique de connexion rapide

Corrections et améliorations:

  • quelques améliorations mineures d'interface

  • ne pouvait pas charger les fichiers en lecture seule sur les serveurs sftp

  • maintenant compatible avec le listage de répertoire de davantage de serveurs

  • correction de certains autres problèmes de comptabilité

Version 2.1.1 (07-10-2002):

Nouvelles fonctions:

  • vérifie maintenant la clé d'hôte SSH pendant l'authentification avec le serveur SFTP

  • simple Serveur d'Identification pour les serveurs FTP qui requièrent une identification pour tourner sur la machine de l'utilisateur

Correction de bogues:

  • quelques problèmes avec la file d'attente de transfert, comme la suspension trop prématurée de l'exécution de la file d'attente et la pagaille des données dans la file d'attente

  • augmentation légère de la vitesse SFTP

  • plus de demande intempestive au démarrage de FileZilla pour utiliser la base de registre ou le fichier XML sous les systèmes Win9x

  • changements mineurs, principalement de petits bogues

version 2.1.0 (23-09-2002):

Nouvelles fonctions:

  • ajout du stockage XML des paramètres

  • Support de lien amélioré. Prend toujours en charge tous les liens comme des répertoires mais les traite comme des fichiers si le changement de répertoire échoue.

  • ajout de la "commande FTP Enter" au menu du serveur

Correction de bogues:

  • les transferts pouvaient parfois échouer si la cible existait déjà

  • analyseur de liste ftp n'alimentait pas les indicateurs correctement

  • l'analyse d'url à partir d'une ligne de commande ne fonctionnait pas (corrigé pour la vers. 2.1.0a)

Version 2.0.2 (07-09-2002):

Nouvelles fonctions:

  • l'utilisation de connexions multiples peut être désactivé dans le menu File d'attente.

Correction de bogues:

  • coquilles corrigées dans les docs, merci à Geoff Gigg

  • amélioration de la logique de file d'attente

  • le cache pouvait 'oublier' les répertoires

Version 2.0.1 (05-09-2002):

Nouvelles fonctions:

  • peut maintenant cacher les dates et heures distantes séparément

Correction de bogues:

  • la configuration de l'affichage n'était pas mémorisée correctement

  • plantage répétitifs lors de l'ouverture de la boîte de dialogue des paramètres

  • essai maintenant d'utiliser le mot de passe de connexion pour décryter une clé publique de fichier crypté à partir de la configuration PuTTY lors d'une connexion aux serveurs SFTP

  • le support GSS ne fonctionnait pas correctement, le fichier gssapi.dll n'était pas sécurisé pour les threads

Version 2.0.0 final (02-09-2002):

Nouvelles fonctions:

  • transferts simultanés multiples

  • un simple point dans la liste des fichiers d'extension ascii spécifie tous les fichiers sans extension

  • lancement/enregistrement de la file d'attente plus rapide

  • ajout du bulgare et du hongrois

Correction de bogues:

  • certaine compatibilités corrigées pour l'analyseur de listage des dossiers

  • l'option renommer n'avait pas d'effet dans le boîte de dialogue des fichiers existants

  • le transfert manuel pouvait faire planter FileZilla

  • la liste des fichiers locaux n'était pas mise à jour quand un nouveau dossier était créé pendant les téléchargements

Historique des versions bêta 2.0.0:

Correction des bogues depuis la version bêta 6:

  • l'ajustement du nombre maximum de transferts simultanés pendant le transfert ne fait plus planter FileZilla

  • la boîte de dialogue des fichiers existants n'envoie plus de messages intempestifs lors du transfert de tous les fichiers simultanément

  • les transferts n'échouent plus lors de la création d'un répertoire si celui-ci a déjà été créé par un autre processus

  • la réduction du nombre de transferts en transferts simples si les serveurs n'acceptent suffisamment de connexions simultanées

Version 2.0.0 bêta 6:

Nouvelles fonctions:

  • transferts simultanés multiples

  • connexion primaire utilisée pour le transfert si le serveur ne supporte pas les connexions multiples

  • un simple point dans la liste des extensions de fichiers ascii spécifie tous les fichiers sans extension

Correction de bogues:

  • certaines compatibilités corrigées pour l'analyseur de listage de répertoires

  • certains petits bogues

Version 2.0.0 bêta 5:

Nouvelles fonctions:

  • parcourir pendant le transfert

  • lancement/enregistrement de la file d'attente plus rapide

  • ajout du bulgare et du hongrois

  • installateur amélioré

Correction de bogues:

  • option renommer sans effet dans la boîte de dialogue des fichiers existants

  • transfert manuel pouvant faire planter FileZilla

  • la liste des fichiers locaux ne pouvant pas être mise à jour quand un nouveau répertoire était créé pendant les téléchargements

  • certains bogues relatés pour la file d'attente

Version 1.9.9a:

Nouvelles fonctions:

  • ajout de l'italien

Correction de bogues:

  • "contourner configuration proxy / pare-feu" de Gestionnaire de Sites ne fonctionnait pas

  • lors du transfert de fichiers de/vers un serveur sftp avec un cache désactivé, FileZilla pouvait planter

  • les tentatives de connexion ne pouvaient pas être annulées pendant l'attente pour réessayer

Version 1.9.9:

Nouvelles fonctions:

  • support SFTP ajouté

  • les fichiers distants peuvent être édités directement avec le programme spécifié dans la configuration

  • les listages de répertoires multi-ligne (certains serveurs VMS les utilisent) sont supportés

  • maintenant l'arborescence du gestionnaire de site défile lors de l'ajout d'éléments supplémentaires

  • ajout du mode sécurisé, "HKCU\Software\FileZilla\Run en Mode sécurisé " ou "HKLM\Software\FileZilla\Run en Mode sécurisé".

  • option "toujours montrer les fichiers cachés"

Correction de bogues:

  • la fenêtre principale ne scintille plus pendant le redimentionnement

  • correction de l'affichage de la racine locale

Version 1.9.8:

Nouvelles fonctions:

  • le serveur actuel sera affiché dans la barre de titre

  • le téléchargement manuel amélioré, maintenant appelé transfert manuel, peut être complètement personnalisé à la fois pour les chargements et les téléchargements.

  • amélioration de la vitesse de rafraîchissement de la liste des fichiers locaux

  • vitesse de rafraîchissement extrêmement rapide de la liste de fichiers locaux après un téléchargement ou une suppression de fichiers

  • nouvelles classes transparentes de couche de socket, devraient corriger les problèmes subsistant avec les proxy SOCKS4/5 et HTTP 1.1

Correction de bogues:

  • MKD corrigé sur certains serveurs *NIX

  • correction de "Connexion au site par défaut" sous Win9x

  • correction du tri de la liste des fichiers pour les éléments sélectionnés

  • la liste des fichiers distants n'était pas mise à jour lors de la suppression d'un répertoire contenant des caractères en majuscule

  • certains bogues coquilles mineurs

  • problèmes de reconnexion lors de l'utilisation d'instances multiples de FileZilla

  • le dossier local correct sera affiché si "Ouvrir le Gestionnaire de Sites au démarrage de FileZilla " est sélectionné

Version 1.9.7:

Correction de bogues:

  • correction du problème "Échec d'Authentification" Kerberos GSS sous Win98

  • la liste des fichiers distants maintenant se rafraîchit après les changements d'attributs

  • correction de la mémorisation incorrecte des mots de passe pour la reconnexion

  • corrections mineures

Version 1.9.6:

Nouvelles fonctions:

  • nouvelle classe Winsock wraper, et vitesse améliorée

  • glisser & déposer dans le Gestionnaire de Sites

Correction de bogues:

  • problème résolu avec les transferts calés sur 100%

  • 'remplacer si plus récent' corrigé

  • entrer des chemins relatifs dans la liste déroulante distante fonctionne à nouveau

  • logique de réessayer améliorée

  • plantages relatés de transfert de file d'attente corrigés

  • affichage distant correctement mis à jour quand le cache de répertoires est activé

Version 1.9.5 (24-04-2002):

Nouvelles fonctions:

  • arborescence du répertoire distant

  • option de mémorisation de largeur des colonnes locales et distantes

  • option de personnalisation de l'affichage de la taille des fichiers

Correction de bogues:

  • certains problèmes d'interface mineurs

  • certains bogues GSS et SSL

  • certains rapports utilisateurs de plantages

Version 1.9.4 (10-04-2002):

Nouvelles fonctions:

  • vérification certificat SSL de base

  • option d'affichage des fichiers cachés (fichiers avec point) dans le menu principal

  • ajout de génération de rapport d'exception

Correction de bogues:

  • après 30 secondes FileZilla prenait les valeurs de options par défaut

  • support des fichiers supérieurs à 2GB

  • certains bogues mineurs d'interface et SSL

Version 1.9.3 (25-03-2002):

Correction de bogues:

  • tri date/heure distantes

  • bogues corrigés lors de l'utilisation de serveurs proxy

  • la boîte de dialogue des fichiers ne montre pas la taille des fichiers

Version 1.9.2 (23-03-2002):

Nouvelles fonctions:

  • résolution nom d'hôte asynchrone

Correction de bogues:

  • échec du téléchargement d'une sélection multiple de fichiers et dossiers

  • la liste des fichiers distants ne se rafraîchit pas lors d'un suppression

Version 1.9.1 (19-03-2002):

Correction de bogues:

  • SHIFT+TAB bascule vers les sections antérieures

  • plantage corrigé lors du transfert

  • la taille des fichiers pour les fichiers supérieurs à 2.1 GB était affichée de façon incorrecte dans le file d'attente de transfert

  • suppression de certaines problèmes de mémoire mineurs

Version 1.9 (17-03-2002):

Nouvelles fonctions:

  • supporte SSL en utilisant OpenSSL

  • affichage du "Listage dossier vide" lorsqu'il n'y a aucun fichier dans le dossier distant

Correction de bogues:

  • la touche suppr ne supprime plus un site dans le Gestionnaire de Sites quand l'Arborescence de Sites n'est pas sélectionnée

  • problème corrigé quand un transfert est hors délai

  • problème résolu avec les dates de fichiers distants non correctes

  • la liste des fichiers distants se rafraîchit automatiquement quand des entrées inconnues sont présentes (fichiers avec ??? comme taille/date/heure par exemple)

Version 1.8.3 (21-02-2002):

Nouvelles fonctions:

  • réduction dans la barre des tâches

Correction de bogues:

  • plantages résolus lors de la purge du cache hors délai

  • résolution file d'attente<-> import/export fichier

Version 1.8.2 (17-02-2002):

Nouvelles fonctions:

  • le mot de passe serveur peut être changé si le serveur le permet

Fonctions avancées:

  • le maintient de l'activité système est maintenant activé par défaut (n'affecte pas la configuration existante)

  • création d'un répertoire. Fonctionne maintenant aussi avec le serveur qui ne permettent pas la création de niveaux multiples en une seule fois

Correction de bogues:

  • taille des éléments de transfert de la file d'attente non affichée correctement après redémarrage de FileZilla

Version 1.8.1 (09-02-2002):

Correction de bogues:

  • compatibilité OpenVMS

  • mode passif ne fonctionnant pas correctement

  • plantage en choisissant le propriétés dans la liste de fichiers locaux quand il n'y a pas de fichier/dossier/lecteur sélectionné

Version 1.8 (03-02-2002):

Nouvelles fonctions:

  • API ftp réécrit

  • nouvelle interface pour API ftp

  • cache de dossier

  • ajout de l'option cache interne, améliorant la performance

  • ajout support proxy HTTP1.1 et SOCKS4A

  • supporte pour listage de répertoire VMS simple ligne (Ouvert)

Correction de bogues:

  • correction problème réponses multi-lignes

  • correction d'un problème de hors délai

  • les entrées de la liste des fichiers distants peuvent être recherchées en entrant les premiers caractères, exactement comme pour la liste des fichiers locaux ou dans l'Explorateur Windows

Version 1.7b (23-11-2001):

Correction de bogues:

  • plantage lors de l'installation dans un dossier comportant des espaces

Version 1.7a (18-11-2001):

Correction de bogues:

  • correction d'un problème concernant les dossiers du Gestionnaire de Sites sous Win9x/ME

Version 1.7 (17-11-2001):

Nouvelles fonctions:

  • dossiers du gestionnaire de sites

  • ajout de l'espagnol

Fonctions avancées:

  • amélioration de la vitesse de listage de fichiers distants, avec maintenant presque aucune différence entre 10 ou 10000 fichiers

  • taille réduite des fichiers additionnels de langue

Correction de bogues:

  • l'analyse des listages de répertoires pouvait échouer sur certains serveurs

  • le tri par date/heure ne fonctionnait pas pour la liste distante

  • quelques problèmes avec les fichiers de langue

  • plantage en démarrant à partir de la console sous Win NT, 2K et XP

Version 1.6 (16-10-2001):

Nouvelles fonctions:

  • la taille et la position de la fenêtre peuvent être mémorisés

  • la touche tab bascule entre les affichages

  • nouveaux raccourcis clavier (consultez la documentation pour en savoir plus)

  • import et export des éléments de la file d'attente

  • ajout de la section file d'attente au menu principal

  • CHMOD de fichiers et dossiers multiples en une seule fois

  • ajout du menu contextuel pour l'arborescence locale

  • "téléchargement manuel" dans le menu transfert

  • ajout du polonais

Correction de bogues:

  • le répertoire local était relancé sur "\" lors du rafraîchissement

  • l'option "ne pas mémoriser le mot de passe" ne concernait pas la reconnexion au serveur

  • plantage lors du chargement en utilisant les modes de transfert SOCKS4/5

Version 1.5a (18-09-2001):

Correction de bogues:

  • les téléchargements en mode passif pouvaient être hors délai sans raison

  • les chargement et téléchargements pouvaient échouer à cause du tampon initialisé

Version 1.5 (18-09-2001):

Nouvelles fonctions:

  • maintenant CTRL+A pour la liste de fichiers fonctionne

Correction de bogues:

  • résolution du problème de chargement avec certaines structures de répertoires comportant des dossiers vides

  • les répertoires distants ne pouvaient pas être supprimés

  • les transferts ASCII causaient un plantage

  • correction de plus de bogues concernant la file d'attente

  • FileZilla plantait en essayant de supprimer l'entrée ".." dans l'affichage des dossiers

  • comme toujours, correction de plein de bogues mineurs

Version 1.4 (29-08-2001):

Nouvelles fonctions:

  • remplace en cas d'option plus récente dans la boîte de dialogue Fichiers Existants

  • les fichiers locaux peuvent être ouverts

  • ajout de la documentation

Correction de bogues:

  • correction code aut SOCKS5 (merci à Mike Shuetter)

  • correction d'un problème avec les délai d'attente des transferts

  • les dossiers distants ne contenant que des fichiers avec des espaces dans leur nom étaient affichés de façon incorrecte

  • certains problèmes mineurs

Version 1.3 (27-07-2001):

Nouvelles fonctions:

  • le gestionnaire de sites peut être automatiquement ouvert au démarrage

  • dossier local par défaut dans le gestionnaire de sites

  • site par défaut dans le gestionnaire de sites

  • option "ne pas enregistrer le mot de passe" dans le gestionnaire de sites

  • ajout du support authentification GSS et cryptage. Requiert Kerberos pour Windows

Correction de bogues:

  • détection hors délai corrigé

  • correction de l'affichage de toute la file d'attente quand elle comprend beaucoup d'éléments (>2GB)

Version 1.2 (19-07-2001):

Nouvelles fonctions:

  • support pour les serveurs NT qui utilisent MS-DOS pour le listage du répertoire

  • remplace les champ d'édition dans l'affichage ftp dans une boîte de dialogue

  • vous pouvez basculer entre les styles pour l'affichage de la liste de fichiers. Les styles suivants sont supportés: détails, liste, grandes icônes et petites icônes.
    Avec le style détaillé, vous pouvez afficher/cacher la plupart des colonnes

  • la touche Enter dans les affichages des fichiers est utilisable.

Fonctions avancées:

  • quand la touche Shift est enfoncée vous pouvez maintenant supprimer les fichiers de la liste locale sans les déplacer dans la corbeille (exactement comme dans l'Explorateur actuel)

  • shlwapi.dll n'est plus nécessaire, remplacé par certaines fonctions auto-écrites

  • amélioration de la file d'attente de transfert

Correction de bogues:

  • plantages dus à un bogue dans CSplitterWnd

  • plantage des transferts de fichiers en mode passif

  • bogue dans le code de transfert. Le fichier entrant pour le chargement n'était parfois pas ouvert

  • quelques problèmes mineurs dont je ne me souviens plus

Version 1.1 (11-07-2001):

Nouvelles fonctions:

  • support pour le mode de transfert ASCII

  • auto-détection du type de fichiers (basée sur l'extension)

  • ajout du champ d'édition de répertoires dans l'affichage local

  • ajout de l'affichage de labels pour les cadres local et distant

  • le journal des messages et la barre de connexion rapide peuvent maintenant être cachés

  • section de paramètrage pour la configuration de l'interface. La configuration de l'interface peut être mémorisée

  • toutes les configurations peuvent être exportées (y compris pour la file d'attente et le gestionnaire de sites)

Fonctions avancées:

  • processus et classe API FTP complètement réécrits. Utilisation maintenant de sockets asynchrones . Meilleure performance et stabilité. Code plus propre.

Correction de bogues:

  • correction d'un bogue dans la boîte de dialogue des paramètres: les champs de données FW n'étaient pas activés quand un autre pare-feu était sélectionné

Version 1.0 (12-06-2001):

Nouvelles fonctions:

  • les attributs de fichiers peuvent être changés sur le serveur (commande CHMOD

  • active connections can now be copied into the Site Manger over the menu

  • la taille totale de la file d'attente est affichée à droite de la barre d'état

  • ajout de des entrées "charger / télécharger sous..." aux menus contextuels. Vous pouvez utiliser ces fonctions pour entrer un compte différent qui sera utilisé pour le transfert.

Fonctions avancées:

  • les fichiers et dossiers peuvent maintenant être déposés directement dans la file d'attente

  • certains changements internes effectués à la file d'attente pour charger/télécharger

  • une grande partie de la liste de fichiers locaux a été réécrite. Les gros dossiers vont être maintenant afficher plus rapidement

Correction de bogues:

  • correction d'un bogue de menu dans le gestionnaire de sites

  • correction d'un bogue de Glisser & Déposer: le dossier ".." pouvait être déplacé

Bêta 2.2 (31-05-2001):

Correction de bogues:

  • la barre de menu ne répondait pas ou disparaissait sous Win98 après avoir entré les paramètres dans la boîte de dialogue

  • les éléments de l'arborescence sont maintenant traduits si une DLL de langue est utilisée

Bêta 2.1 (30-05-2001):

Nouvelles fonctions:

  • import et export de toutes les entrées du Gestionnaire de Sites

  • téléchargement des dossiers avec tous les fichiers et sous-dossiers

  • les dossiers avec tous leurs fichiers et sous-dossiers peuvent être supprimés

  • des répertoires peuvent être créés

  • bouton "Ignorer les options de pare-feu / proxy" dans le gestionnaire de sites

  • ajout support localisation support

  • lignes de commande supportées

    Ligne de commande

    Description

    FileZilla.exe [ftp://][user:pass@]host[:port][/dir]

    vous connecte à un serveur

    FileZilla.exe -i sitemanager.txt

    importe le fichier "sitemanager.txt" dans le gestionnaire de sites (ou tout autre fichier texte de votre choix)

  • ajout de l'option "dossier par défaut"

Fonctions avancées:

  • modification de A propos de... pour afficher l'information de version de façon dynamique et le nom (si une DLL de langue est utilisée) du traducteur

  • modification de la barre de titre pour afficher dynamiquement l'information de version

  • nettoyage d'une partie du code

  • amélioration du parcours du dossier local

  • la boîte de dialogue des paramètres utilise maintenant le même style que Netscape. (vous voyez, la belle arborescence à gauche)

  • amélioration du script d'installation

Correction de bogues:

  • plus aucun échec dans la transmission si un serveur ne comprend pas la commande SIZE

  • commande Maintient d'Activité lancée deux fois

  • correction le coquilles mineures

Bêta 2.0 (05-05-2001):

Nouvelles fonctions:

  • ajout de deux LED en bas à droite de la fenêtre principale qui clignotent pendant les envois/réceptions

  • tous les dossiers peuvent maintenant être envoyés en une seule fois

  • ajout du glisser-déposer

  • les fichiers et dossiers de l'explorateur peuvent être copiés ou envoyés par glisser-déposer

  • ajout de l'installateur

  • ajout de support de proxy SOCKS4/5

  • il est maintenant possible de renommer les fichiers

Fonctions avancées:

  • prise en charge des URL dans la barre de connexion rapide et le Gestionnaire de Sites

  • nettoyage du code de fenêtre principale

  • modification de la façon dont l'API retourne l'information au reste de l'application

  • ajout du dossier distant par défaut au Gestionnaire de Sites

  • meilleure détection du hors délai

  • amélioration de la logique pour réessayer

  • systèmes de commandes complètement nouveaux. Code mieux nettoyé

  • meilleur alignement dans le journal des messages

Correction de bogues:

  • changement de l'ordre des commandes avec le téléchargement de fichier. La reprise du téléchargement n'était pas gérée correctement sur certains serveurs FTP

  • correction d'un petit bogue d'envoi de fichier

  • correction d'un ordre d'onglet erroné pour la configuration du pare-feu.

  • changement de la fonction de connexion: le mauvais nom d'hôte était affiché si un pare-feu était utilisé

  • quelques corrections de petits bogues et améliorations

Bêta 1.0 (11-04-2001):

Nouvelles fonctions:

  • ajout de la file d'attente

  • ajout du support pour les liens de sites ftp

  • le contenu de la section état peut être copié dans le presse-papiers

  • les mots de passe sont maintenant cryptés

  • ajout des boutons Déconnexion, reconnexion et Rafraîchir

  • ajout de la boîte d'édition pour voir et changer rapidement un dossier distant

Fonctions avancées:

  • affichage local mis à jour. Exécutions par processus. L'ensemble de la performance devrait être améliorée, particulièrement avec les gros dossiers

Correction de bogues:

  • bogue corrigé dans le Gestionnaire de Sites. Ne vérifiait les noms multiple dans la liste.

  • correction de bogues d'affichage de certaines icônes

  • correction de certains bogues et vidages mémoire

Alpha 1.2 15-03-(2001):

Nouvelles fonctions:

  • ajout d'options à la configuration de connexion

  • Gestionnaire de Sites ajouté

  • nouvelle classe (CTimeoutSocket) pour vérifier les hors délais

  • bouton de rupture d'opération

  • ajout de la fonction Conserver Activité

Correction de bogues:

  • correction d'un bogue avec CFtpViewCtrl::List

  • quelques bogues mineurs corrigés

Alpha 1.1 (05-03-2001):

Nouvelles fonctions:

  • possibilités de commandes personnalisées.

  • le journal des messages peut être vidé

  • affichage des dates et heures de fichier dans l'affichage FTP

  • ajout d'un support pour fichiers multiples envoyés/reçus dans l'API (pas encore avec le GUI)

  • ajout des fonctions reprise/remplacer les fichiers déjà existant

Fonctions avancées:

  • nouvelle méthode d'analyse de la réponse à la commande LIST. Davantage compatible avec certains serveurs FTP

  • barre d'état affichant plus d'information au cours des transferts

Correction de bogues:

  • les fichiers ayant été envoyés/reçus étaient verrouillés à d'autres processus pendant le transfert. L'accès en lecture est maintenant possible

Alpha 1 (27-02-2001):

  • première version


Using FileZilla

Utilisation de FileZilla

Les chapitres suivants renferment des informations concernant l'interface utilisateur de FileZilla. Ils vous aideront à utiliser FileZilla

  • Guide rapide de FileZilla

  • La Fenêtre Principale

  • Le Gestionnaire de Sites


Quick Guide

Guide Rapide

Ce guide vous donne un aperçu rapide sur la façon d'utiliser FileZilla. Par défaut, vous n'avez pas à configurer FileZilla, et vous pouvez donc commencer à travailler directement avec le programme.

1. Connexion à un serveur FTP

Pour vous connecter à un serveur FTP, entrez l'adresse du serveur dans la champ de texte Adresse de la barre de Connexion Rapide. S'il s'agit d'un serveur particulier comme un serveur SFTP, ajoutez le protocole au début de l'adresse. Dans le cas d'un serveur SFTP, démarrez l'adresse avec 'sftp://'. Entrez le port du serveur dans la champ Port si ça n'est pas un port par défaut (21 pour FTP, 22 pour SFTP). Si les Nom d'utilisateur/ Mot de passe sont requis, entrez les dans le champ approprié. Cliquez sur Connexion rapide ou appuyez sur Enter pour vous connecter au serveur.

2. Parcourir le serveur

Après une tentative de connexion réussie, une liste des fichiers et dossiers apparaît dans le cadre de droite de la fenêtre principale. Le dossier actuel est listé dans la champ d'édition du haut. Vous pouvez changer de dossier actuel en double-cliquant sur un dossier ou en entrant le nom du dossier dans le champ et en appuyant sur Enter. Vous pouvez aussi faire un clic droit sur un dossier de la liste et sélectionner Ouvrir dans le menu contextuel pour changer de dossier actuel. Vous remarquerez un dossier ".." affiché dans tous les cadres de répertoires. Ce dossier vous permet de remonter au dossier parent du dossier actuel.

3. Parcourir votre machine

Parcourir votre machine se fait de la même façon que pour le serveur. Il n'y a qu'une seule différence: les dossiers de votre machine sont agencés sous forme d'une arborescence pour un parcours plus rapide. Une arborescence est également disponible pour le site distant, mais elle est cachée par défaut. L'arborescence distante peut être affichée à tout moment en cliquant sur l'icône d'arborescence distante [image] de la barre d'outils.
Pour changer le dossier actuel, aussi bien sur votre machine que sur le serveur, sélectionnez simplement un élément dans l'arborescence appropriés.

4. Transférer des fichiers

Vous pouvez envoyer sur le serveur ou recevoir un fichier en double-cliquant dessus. Il sera ajouté à la File d'Attente de Transferts et le transfert démarrera automatiquement. Pour transférer des dossiers et/ou des fichiers multiples, sélectionnez les et faites un clic droit sur la sélection. Vous pourrez alors cliquez sur Charger sur le Serveur/Télécharger dans le menu déroulant.

Vous pouvez aussi faire glisser les fichiers d'un cadre et les déposer dans l'autre. Pour ajouter des fichiers à la file d'attente pour qu'ils soient transférés ultérieurement, sélectionnez les et cliquez sur Ajouter à la File d'Attente à partir du menu déroulant. Vous pouvez aussi faire glisser ces fichiers directement dans le cadre de la file d'attente. Cliquez sur le bouton [image] de la barre d'outils pour lancer le transfert.


The Main Window

La Fenêtre Principale

Vue d'ensemble:

Quand vous avez établi une connexion entre votre PC local et un site FTP, la fenêtre principale de FileZilla affiche les fichiers et dossiers de votre PC du côté gauche de la fenêtre principale et ceux du site FTP du côté droit. Au sommet de la fenêtre se trouve un menu et une barre d'outils. A partir de là, vous pouvez accéder aux autres fonctions de FileZilla et vous pouvez modifier l'agencement de la fenêtre principale. En dessous est affiché le journal des messages. Chaque effectuée sur le serveur FTP est archivée ici, ainsi que tous les messages d'état. En bas de la fenêtre principale est affichée la File d'Attente des Transferts, qui vous permet de voir quels sont les fichiers programmés pour l'envoi/la réception et leur progression.

Find out more about the FileZilla menu. En savoir plus à propos de la Barre d'Outils En savoir plus à propos de la Barre de Connexion Rapide En savoir plus à propos le Journal des Messages En savoir plus à propos l'Affichage Local En savoir plus à propos l'Affichage Distant En savoir plus à propos de la File d'Attente des Transferts En savoir plus à propos de la Barre d'Etat
(Fenêtre principale de FileZilla: cliquez n'importe dans la fenêtre pour obtenir une description)

  • Le Menu: à partir du menu vous pouvez accéder aux autres parties de FileZilla et à partir de là changer le style d'affichage de la fenêtre principale. Reportez vous à la rubrique Menus et Barre d'Outils pour en savoir plus.

  • La Barre d'Outils: ces boutons vous permettent un accès rapide à la plupart des fonctions utiles de FileZilla. Reportez vous à la rubrique Menus et Barre d'Outils pour en savoir plus.

  • La Barre de Connexion Rapide: vous permet de vous connecter rapidement aux sites FTP sans avoir à créer un profile de site pour cela. Reportez vous à la rubrique Menus et Barre d'Outils pour en savoir plus.

  • Le Journal des Messages: au dessus des listes, la zone de messages qui archive tous les événements de demandes de votre client FileZilla (votre PC) et de réponses du site FTP. Le Journal des Messages peut être affiché/caché en cliquant sur le bouton [image] de la barre d'outils. Consultez la rubrique Journal des Messages pour en savoir plus

  • Cadre Local: le dossier actuel est affiché en haut dans le champ d'édition et dans l'arborescence correspondante. Le cadre de liste dessous affiche tous les fichiers et dossiers appartenant au dossier actuel. Des icônes sont utilisées pour identifier les différents fichiers et dossiers. Tout lecteur de disque auquel vous pouvez avoir accès apparaîtra dans cette liste. L'arborescence peut être affichée/cachée avec le bouton [image] de la barre d'outils. Consultez la rubrique Affichage des Fichiers et Dossiers pour en savoir plus.

  • Cadre Distant: affiche tous les fichiers accessibles du répertoire actuel sur le serveur FTP auquel vous êtes connecté. Notez la présence du dossier ".." dans tous les cadres. Ce dossier vous permet de remonter au dossier parent du répertoire actuel. En haut se trouve un menu déroulant du dossier actuel. Reportez vous à la rubrique Affichage des Fichiers et Dossiers pour en savoir plus.

  • File d'Attente de Transfert: affiche l'état de tout les fichiers entrant/sortant de/vers le serveur FTP. Cette liste peut être affiché/cachée à l'aide du bouton [image] de la barre d'outils. Consultez la rubrique File d'Attente pour en savoir plus.

  • Barre d'État: affiche l'information concernant le transfert actuel et la taille de la file d'attente. L'information de transfert de fichier comprend (de gauche à droite): Temps écoulé, Temps restant, barre de progression, bytes transférés et taux de transfert. Les deux LED à droite indiquent si les fichiers sont en cours de réception (vert) ou d'envoi (rouge).

Raccourcis Clavier

F5 | - | Réinitialise la liste des fichiers et dossiers locaux et distants
Tab | - | Bascule vers la vue suivante
Ctrl+C | - | Arrête l'opération actuelle
Ctrl+D | - | Vous déconnecte du serveur
Ctrl+Q | - | Vous connecte au serveur entré dans la Barre de Connexion Rapide
Ctrl+R | - | Vous reconnecte au serveur
Ctrl+S | - | Ouvre le Gestionnaire de Site
Ctrl+T | - | Affiche ou cache l'arborescence


Menus and Toolbars

Menus et Barre d'Outils

1. Le menu principal

Cette rubrique décrit tous les éléments du menu principal. En utilisant ce menu, vous pouvez accéder à un grand nombre de fonctions différentes.

Fichier - Menu déroulant pour certaines opérations générales et fonctions du Gestionnaire de Sites

Gestionnaire de Sites - Ouvre le Gestionnaire de Sites

Copier la connexion dans le Gestionnaire de Sites - Copie la connexion actuelle dans le Gestionnaire de Sites comme une nouvelle entrée

Connexion au site par défaut - Vous connecte au site par défaut du Gestionnaire de Sites.

Reconnecter - Vous connecte au dernier serveur auquel vous étiez connecté. Utile quand vous avez perdu la connexion. FileZilla bascule automatiquement au dernier dossier utilisé sur le serveur. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

Déconnecter - Vous déconnecte du serveur FTP. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

Quitter - Vous déconnecte du serveur et quitte FileZilla. Tous les fichiers en file d'attente de transfert qui n'ont pas encore été traités sont mémorisés pour la prochaine fois que FileZilla démarrera de sorte que le transfert pourra se poursuivre.

Édition

Paramètres - Ouvre la boîte de dialogue des options de FileZilla. Vous pouvez Configurer FileZilla ici.

Exporter les paramètres - Exporte tous les paramètres de FileZilla dans un fichier .xml. Quand vous sélectionnez cet élément de menu, il vous est demandé un nom de fichier dans lequel les paramètres seront exportés. Cette fonction est utile si vous voulez faire une sauvegarde des paramètres ou si vous voulez copier les paramètres vers une seconde machine.

Importer les paramètres - Importe les paramètres d'un fichier .xml précédemment exporté.

Transfert - Ce menu déroulant vous permet de contrôler les transferts de fichiers.

Type de Transfert - Sélectionne le type de transfert actuel. Vous pouvez choisir entre ASCII, Binaire et Auto. Si vous sélectionnez ASCII, tous les fichiers seront transférés en mode ASCII. Si vous sélectionnez Binaire, tous les fichiers seront transférés en mode binaire. Si vous sélectionnez Auto, FileZilla détecte et choisit le type de transfert en fonction de l'extension du fichier. Vous pouvez entrer quelles extensions seront considérés comme fichiers ASCII dans la section ASCII/Binaire des options. Vous devriez laisser ce paramètre sur Auto, si vous ne voulez pas forcer un type de transfert spécifique. Une mauvaise option peut entraîner une corruption des fichiers.

Écrasement des fichiers - Cet élément de menu ouvre un sous-menu. Dans ce sous-menu vous pouvez régler le comportement du transfert des fichiers par défaut quand le fichier cible existe déjà. Le paramètre par défaut est Demander. Quand cette option est sélectionnée, FileZilla vous demandera à chaque fois comment agir quand une cible existe déjà.

Transfert Manuel - Ouvre la boîte de dialogue de Paramètrage de transfert manuel. Vous devrez entrer l'adresse du serveur, le chemin et le dossier du fichier local et du fichier distant et le type de transfert (Transfert ou Téléchargement) qui devra être établi. C'est particulièrement utile si vous voulez transférer des fichiers cachés qui n'apparaissent pas dans la liste du répertoire ou s'il n'est pas possible de lister le contenu du répertoire.

Affichage - Contrôle l'aspect visuel de la fenêtre principale.

Rafraîchir les vues - Rafraîchit l'affichage des fichiers et dossiers. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

Afficher les fichiers cachés - Certains serveurs n'affichent pas les fichiers cachés comme les fichiers dot (noms de fichiers commençant par un point) par défaut. Activez Afficher les fichiers cachés si vous voulez voir de tels fichiers. Cependant, tous les serveurs ne supportent pas cette fonction et peuvent retourner une erreur ou un listage de répertoire rompu ou incomplet. Soyez donc prudent en activant cette fonction.

Barre d'outils - Cache ou affiche la barre d'outils

Barre d'état - Cache ou affiche la barre d'état

Barre de Connexion rapide - Cache ou affiche la barre de connexion rapide

Arborescence Locale - Cache ou affiche l'arborescence locale. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils si elle n'est pas cachée.

Arborescence Distante - Cache ou affiche l'arborescence distante. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

Journal des Messages - Cache ou affiche le journal des messages. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

File d'Attente de transferts - Cache ou affiche la file d'attente des transferts. Vous pouvez aussi utiliser le bouton [image] de la barre d'outils.

Vue de la liste locale - Dans ce menu déroulant vous pouvez modifier l'agencement de la liste des fichiers locaux. Vous pouvez choisir entre les styles Détails, Liste, Petites icônes et Grandes icônes. Vous pouvez aussi sélectionner quelles colonnes seront visibles dans le style d'affichage Détails. Les colonnes Taille de fichier, Type de fichier et Date/heure de dernière modification peuvent être affichées/cachées.

Vue de la liste distante - Dans ce menu déroulant vous pouvez modifier l'agencement de la liste des fichiers locaux. Vous pouvez choisir entre les styles Détails, Liste, Petites icônes et Grandes icônes. Vous pouvez aussi sélectionner quelles colonnes seront visibles dans le style d'affichage Détails. Les colonnes Taille de fichier, Date/Heure et Permissions peuvent être affichées/cachées.

File d'Attente

Traitement de la File d'Attente - Si cette option est cochée, FileZilla exécute la file d'attente.

Utiliser les connexions multiples - FileZilla peut transférer jusqu'à 10 fichiers (ce nombre peut être réglé dan la boîte de dialogue des paramètres; il est de 2 par défaut) simultanément si cette option est activée. Si vous ne voulez pas que FileZilla utilise les connexions multiples, désactivez cette fonction. Vous pouvez aussi avoir à désactiver cette fonction pour les serveurs qui ne supportent pas les connexions multiples. FileZilla peut détecter de tels serveurs automatiquement, mais certains serveurs incorrectement configurés peuvent quand même vous interdire l'accès pour un certain temps quand vous tentez d'établir des connexions multiples, et donc désactivez cette prévention de problème pour certains serveurs.

Exporter - Exporte tous les éléments de la file d'attente dans un fichier.

Importer - Importe tous les éléments de la file d'attente à partir d'un fichier externe.

Serveur

Changer le mot de passe - Vous permet de modifier le mot de passe utilisé pour la connexion au serveur. A cause de problèmes de sécurité, tous les serveurs ne vous permettent pas de changer de mot de passe de cette façon.

Entrer une commande brute FTP - Ouvre une boîte de dialogue dans laquelle vous pouvez entrer toute commande FTP. C'est utile si vous voulez exécuter des actions sur le serveur qui autrement ne sont pas supportées par FileZilla.

Copier l'URL dans le presse-papiers - Copie l'adresse du serveur actuel et son chemin dans le presse-papier.

Aide - Utilisez ce menu déroulant si vous avez besoin d'aide.

Contenu - Affiche la table des matières du Manuel d'Aide.

Index - Affiche l'index du manuel d'aide.

Chercher - Ouvre la page de recherche du manuel d'aide

A propos de FileZilla... - Ouvre la fenêtre A propos de... de FileZilla qui contient certaines informations utiles.

2. La Barre d'Outils

A partir de la Barre d'Outils, vous avez un accès rapide à beaucoup de fonctions importantes. Quand une fonction n'est pas disponible, l'icône correspondante apparaît en grisé.

Ouvre le Gestionnaire de Sites
Affiche/Cache l'arborescence locale. Si cette option est cochée, l'arborescence est visible.
Affiche/Cache l'arborescence distante. Si cette option est cochée, l'arborescence est visible.
Affiche/Cache la File d'Attente de Transferts. Si cette option est cochée, la file d'attente est visible.
Affiche/Cache le Journal des Messages. Si cette option est cochée, le journal des messages est visible.
Réinitialise à la fois la liste des fichiers locaux et la liste des fichiers distants.
Démarre le processus de transfert de file d'attente. Utilisez ce bouton pour lancer le transfert de tous les fichiers en file d'attente.
Annule l'opération en cours. Arrête également le processus de file d'attente.
Vous déconnecte du serveur.
Si vous n'êtes pas actuellement connecté à un serveur, l'utilisation de ce bouton vous reconnectera au dernier serveur utilisé et au dernier répertoire utilisé sur ce serveur.
Affiche la table des matières de la documentation de FileZilla.

3. La Barre de Connexion Rapide

En utilisant cette barre de Connexion Rapide vous pouvez vous connecter rapidement à un serveur FTP. Quatre champs de texte sont disponibles.
Dans le premier champ vous devez entrer l'adresse du serveur FTP. Il peut aussi bien s'agir d'un nom d'hôte (comme ftp.sourceforge.net) que d'un IP, mais FileZilla supporte aussi les adresses avec un nom d'utilisateur, un mot de passe et un numéro de port dans l'adresse. La syntaxe complète pour l'édition du champ d'adresse est: [protocol://][User:Pass@]Host[:Port][/Path] Les paramètres entre [ ] sont optionnels. Le premier paramètre spécifie le protocole qui devrait être utilisé pour vous connecter au serveur. Les protocoles supportés sont ftp://, ftps:// (FTP sur SSL) et sftp:// (FTP sécurisé utilisant SSH2). Si aucun protocole n'est spécifié, ftp:// sera utilisé. Le second paramètre spécifie le nom d'utilisateur et le mot de passe qui devrait être utilisé pour vous connecter au serveur. Le paramètre optionnel suivant spécifie le port sur lequel le serveur est localisé. Si le port n'est pas spécifié, FileZilla utilisera le port 21. Le dernier paramètre spécifie le chemin distant sur lequel FileZilla devra basculer pour une connexion.

Les deux champs d'édition suivants spécifient le nom d'utilisateur et le mot de passe qui doivent être utilisés pour la connexion au serveur. Si vous laissez le champ de nom d'utilisateur vide, une session anonyme sera sélectionnée. Les deux champs seront remplacés si vous spécifiez un nom d'utilisateur et/ou un mot de passe dans le champ d'adresse.

Le dernier champ spécifie le port du serveur FTP. Par défaut cette valeur est réglée sur 21. Changez cette valeur si le serveur est localisé sur un autre port. Ce champ sera remplacé si vous spécifiez un nom d'utilisateur et/ou un mot de passe dans le champ d'adresse.

Cliquez sur Connexion Rapide si vous êtes prêt. FileZilla va alors se connecter au serveur FTP. Si vous avez entré des information non valides, FileZilla affichera un message d'erreur. La flèche attenante au bouton Connexion Rapide ouvre un menu déroulant. Si vous utilisez la fonction Effacer du menu, vous pourrez vider les champs de la barre de connexion rapide. Dans ce menu, une liste des 10 serveurs les plus récemment visités dans la session actuelle est mémorisée. Sélectionnez un serveur dans cette liste pour vous y connecter.


The Message Log

Le Journal des Messages

Vue d'ensemble:

Toutes les commandes envoyées au serveur FTP et leurs réponses, ainsi que les messages d'état et d'erreurs sont consignés dans le Journal des Messages.

Devant chaque entrée le type du message est indiqué et différentes couleurs sont utilisées pour indiquer ce type. Il existe quatre types de messages:

État: | Ce sont des messages d'état normaux contenant des information utiles concernant l'activité en cours. Exemples de messages d'état: "Connexion au <serveur>..." ou "Récupération du contenu du répertoire..."
Erreur: | Les messages d'erreur sont affichés en rouge. Ils apparaissent toujours lorsqu'une opération échoue à cause d'une erreur ou si elle est annulée par l'utilisateur.
Commande: | Ce sont les commandes envoyées au serveur. Elles demandent au serveur d'initialiser un transfert de données par exemple.
Réponse: | Ce sont les réponses du serveur FTP. Les éléments les plus importants concernant ces réponses sont les chiffres qui les précèdent. FileZilla les utilise pour déterminer si un commande a réussi. Un 2 ou un 3 comme premier chiffre indique un succès, 4 et 5 indiquent un échec. Un échec de commande ne signifie pas nécessairement que l'opération en cours a échoué.

Menu Contextuel du Journal des Messages:

Le Journal des Messages possède un menu contextuel. Un clic droit dans ce Journal ouvre le menu. Il comporte trois éléments:

Entrer une commande... | - | Vous permet d'entrer une commande personnalisée. Cette commande sera envoyée au serveur FTP.
Copier dans le presse-papiers | - | Copie le Journal des Messages complet dans le presse-papiers. Utile si vous voulez travailler en fonction des données de ce journal, par exemple pour rapporter un bogue
Tout effacer | - | Efface toutes les entrées du Journal des Messages.


The File and Folder views

L'affichage des Fichiers et Dossiers

1. Le site distant

L'affichage des fichiers et dossiers du site distant se trouve dans la partie droite de la fenêtre principale. Avec cet affichage, vous pouvez parcourir le serveur FTP et lancer les téléchargements.

La liste des fichiers et dossiers

Chaque ligne représente un fichier ou un dossier. Les icônes des fichiers et dossiers vous aident à identifier les fichiers et dossiers rapidement. Les en-têtes de chaque colonne décrivent leur signification. La signification des quatre premières colonnes est claire: Nom du fichier, Taille du fichier, Date et heure. La dernière colonne intitulée "Permissions" vous indique les droits d'accès que vous avez sur les fichiers. Vous n'avez pas vraiment à vous préoccuper de ces permissions. Le premier caractère indique si l'entrée est un fichier, un répertoire ou un lien. Les derniers caractères sont composés de trois groupes de trois caractères chacun. Le premier groupe décrit les droits de propriété, le second groupe les droites de groupe et les derniers les droits publiques. Un r signifie que vous avez accès en lecture, w signifie un droit d'accès en écriture et x le droit d'exécuter un fichier. Vous pouvez trier la liste en cliquant sur un en-tête de colonne. Une petite flèche grisée indique la colonne qui a servi au tri et la direction du tri. Vous pouvez basculer entre les directions de tri en cliquant à nouveau sur l'en-tête.

Vous pouvez modifier le style de la liste et la visibilité des colonnes à l'aide du menu de la fenêtre principale.

Parcourir le serveur

Vers le bord supérieur vous remarquerez une liste déroulante. Le dossier actuel est listé ici. Vous pouvez également entrer un nouveau dossier. Pressez sur Enter et FileZilla basculera vers ce dossier. Vous pouvez aussi cliquer sur la flèche à droite pour ouvrir le menu déroulant contenant une liste de tous les répertoires que vous avez visité sur ce serveur. Cliquez sur un élément pour basculer vers ce répertoire.

En dessous se trouve la liste des fichiers et dossiers. La première entrée de la liste est toujours "..". Elle représente le dossier parent du dossier actuel. Vous pouvez accéder à un dossier en double-cliquant dessus ou en utilisant le menu contextuel.

Téléchargement de fichiers

Il existe trois façons de télécharger un fichier: vous pouvez double cliquer dessus, vous pouvez utiliser le menu contextuel ou vous pouvez utiliser la fonction glisser-déposer vers la liste des fichiers locaux. Vous pouvez opérer sur un dossier de la même façon. Vous pouvez aussi sélectionner plusieurs fichiers et dossiers pour un transfert en une opération, sauf que bien entendu le double-clic n'est pas disponible dans ce cas de figure. Pour ajouter des éléments à la file d'attente pour un transfert différé, vous pouvez également utiliser le menu contextuel ou utiliser le glisser-déposer vers la file d'attente.

Le menu contextuel

Faites un clic droit sur un fichier ou un dossier de la liste pour afficher le menu contextuel.

Télécharger | - | REçoit les fichiers et dossiers sélectionnés. La réception démarre immédiatement.
Ajouter à la file d'attente | - | Ajoute tous les éléments sélectionnés vers la file d'attente de transfert. Utilisez le bouton [image] de la barre d'outils pour démarrer le transfert.
Télécharger sous | - | Vous demande le nom d'utilisateur et le mot de passe qui seront requis pour la réception des fichiers et dossiers sélectionnés.
Ouvrir | - | Ouvre le dossier sélectionné.
Afficher/Éditer | - | Si vous utilisez cette commande, FileZilla reçoit le ficher sélectionné dans un dossier temporaire. Puis il ouvre le fichier avec l'utilitaire d'Affichage/Édition que vous avez choisi dans la boîte de dialogues des Paramètres. Quand vous fermez cet utilitaire et que le fichier a été modifié, FileZilla vous demandera si vous voulez mettre le fichier à jour sur le serveur.
Créer un Répertoire | - | Crée un nouveau dossier dans le dossier actuel. Vous devez entrer le nom du nouveau dossier avant qu'il soit créé.
Supprimer | - | Supprime tous les fichiers et dossiers sélectionnés. Une confirmation vous sera demandée.
Renommer | - | Renomme les fichiers sélectionnés. Une confirmation vous sera demandée pour le nouveau nom.
Propriétés | - | Vous permet de modifier les attributs du fichier sélectionné. Cette fonction n'est pas supportée par tous les serveurs FTP.

2. Le site local

L'affichage des fichiers et dossiers de site local se situe dans la partie gauche de la fenêtre principale. Avec cet affichage, vous pouvez parcourir votre disque local et initialiser les mises à jour vers le serveur.

La liste de fichiers et dossiers

La liste locale des fichiers et dossiers est très similaire à celle des fichiers et dossiers distants. L'en-tête de chaque colonne décrit sa signification. Vous pouvez aussi trier la liste et la petite flèche grisée indique la colonne triée et la direction du tri.

Vous pouvez modifier le style de la liste et la visibilité des colonnes à l'aide du menu de la fenêtre principale.

Parcourir le site local

Vers le bord supérieur vous remarquez un champ de texte. Le dossier actuel est listé ici. Vous pouvez également entrer un nouveau dossier. Appuyez sur Enter et FileZilla basculera vers ce dossier.

En dessous se trouve une arborescence. Elle affiche la structure du dossier de votre disque dur. Le dossier courant est toujours sélectionné. Sélectionnez un autre élément pour basculer vers ce dossier. L'arborescence peut être modifiée en utilisant le bouton [image] de la barre d'outils.

Enfin, en bas se trouve la liste des fichiers et dossiers. La première entrée de la liste est toujours "..". Elle représente le dossier parent du dossier actuel. Vous pouvez basculer vers un dossier en double-cliquant dessus ou en utilisant le menu contextuel.

Mise à jour des fichiers

Il existe trois façons d'envoyer un fichier: vous pouvez double cliquer dessus, vous pouvez utiliser le menu contextuel ou vous pouvez utiliser la fonction glisser-déposer vers la liste des fichiers distants. Vous pouvez opérer sur un dossier de la même façon. Vous pouvez aussi sélectionner plusieurs fichiers et dossiers pour un transfert en une opération, sauf que bien entendu le double-clic n'est pas disponible dans ce cas de figure. Pour ajouter des éléments à la file d'attente pour un transfert différé, vous pouvez également utiliser le menu contextuel ou utiliser le glisser-déposer vers la file d'attente.

Le menu contextuel

Faites un clic droit sur un fichier ou un dossier de la liste pour afficher le menu contextuel.

Charger sur le serveur | - | Envoie les fichiers et dossiers sélectionnés. L'envoi démarre immédiatement.
Ajouter à la file d'attente | - | Ajoute tous les éléments sélectionnés vers la file d'attente de transfert. Utilisez le bouton [image] de la barre d'outils pour démarrer l'envoi.
Charger sous | - | Vous demande le nom d'utilisateur et le mot de passe qui seront requis pour la mise à jour des fichiers et dossiers sélectionnés.
Ouvrir | - | Ouvre le dossier sélectionné.
Afficher/Éditer | - | Ouvre le fichier avec l'utilitaire d'Affichage/Édition que vous avez choisi dans la boîte de dialogues des Paramètres.
Créer un Répertoire | - | Crée un nouveau dossier dans le dossier actuel. Vous devez entrer le nom du nouveau dossier avant qu'il soit créé.
Supprimer | - | Supprime tous les fichiers et dossiers sélectionnés. Une confirmation vous sera demandée.
Renommer | - | Renomme les fichiers sélectionnés. Une confirmation vous sera demandée pour le nouveau nom.

3. Raccourcis clavier

  • F5 - Réinitialise toutes les listes

  • CTRL + A - Sélectionne tous les fichiers de la liste de fichiers actuelle.

  • DEL - Supprime tous les fichiers et dossiers sélectionnés. Les fichiers seront déplacés dans la corbeille

  • SHIFT + DEL - supprime tous les fichiers et dossiers sélectionnés. Les éléments seront détruits et non déplacés vers la corbeille.


The Transfer Queue

La File d'Attente de Transfert

Vue d'ensemble:

Chaque fois que vous voulez transférer un fichier avec FileZilla, le transfert sera mis en File d'Attente de Transfert. A chaque fois que vous voulez transférer plus d'un fichier, une file d'attente devient nécessaire. La file d'attente décide du prochain fichier qui sera transféré.

Chaque ligne de la liste représente un transfert de fichier différent. L'en-tête de colonne décrit la signification de chaque colonne.

Nom de fichier local est le fichier local qui sera transféré ou le fichier local qui sera remplacé par un fichier reçu.

Taille indique la taille totale du transfert.

Direction vous indique si le fichier sera envoyé (->) ou reçu (<-) Il vous indique aussi la priorité du transfert. Une simple flèche (-> ou <-) indique que le fichier attend d'être pris en charge pour un transfert ultérieur. Une double-flèche (->> ou <<-) attend pour des transferts qui ont été initialisés directement, les transferts de haute priorité. Les transferts de haute priorité seront pris en charge en premier. Quand vous ajoutez un nouveau fichier à la file d'attente, il prend place sous le dernier élément de même priorité.

Nom de fichier distant indique le fichier distant qui sera transféré ou le fichier distant qui sera remplacé pour une mise à jour.

Hôte est l'adresse du serveur concerné par le transfert.

État affiche certaines informations concernant les transferts. Les messages d'état sont: "En cours de transfert", "Erreur de transfert #x, "Nouvelle tentative ultérieure", "Transfert annulé", "Erreur transfert critique" ou "Trop de tentatives". Dans les trois dernières cas, vous devez réinitialiser l'état du transfert à l'aide du menu contextuel si vous voulez re-tenter le transfert du fichier ultérieurement.

Menu Contextuel

Faites un clic droit dans la file d'attente pour ouvrir le menu contextuel.

Traitement de la file d'attente | - | Lance l'exécution de la file d'attente.
Supprimer de la file d'attente | - | Supprime un élément sélectionné de la file d'attente
Réinitialiser l'état | - | Réinitialise l'état d'un élément. Les anciens états devront être catalogués comme "Transfert annulé", "Erreur critique de transfert" ou "Trop de tentatives"
Monter | - | Déplace les éléments sélectionnés vers le haut. *
Descendre | - | Déplace les éléments sélectionnés vers le bas. *
En premier | - | Déplace les éléments sélectionnés vers le début de la file d'attente. *
En dernier | - | Déplace les éléments sélectionnés vers la fin de la file d'attente. *

* Veuillez noter qu'un transfert 'basse priorité' ne pourra jamais se trouver avant un transfert 'haute priorité' et vice et versa.


The Site Manager

Le Gestionnaire de Sites

Vue d'ensemble:

Le Gestionnaire de Sites prend en charge la liste des serveurs de façon à ce que vous puissiez vous y connecter rapidement. Il enregistre leur adresse et leurs informations de connexion de sorte que vous n'aurez pas à vous souvenir de tous les détails les concernant. FileZilla le fera pour vous.

(La fenêtre du Gestionnaire de Sites)

Contrôles:

Il existe un grand nombre de contrôles pour cette boîte de dialogue. Chacun d'entre eux apparaît dans la liste ci-dessous, accompagné d'une description.

Liste des sites - Affiche tous les sites que vous avez entré dans le Gestionnaire de Sites et les aménage sous forme d'une arborescence. Cliquez sur une entrée pour afficher ou modifier les détails la concernant. Double-cliquez sur une entrée pour vous connectez au site correspondant.
Hôte - C'est l'adresse du serveur.
Port - Le port où est localisé le serveur.
Type de serveur - Vous pouvez choisir ici le type du serveur. Trois types de serveurs sont habituellement supportés:
  • FTP - Le protocole par défaut de FileZilla
  • FTP sur SSL (cryptage explicite) - utilisé pour se connecter sur serveurs sécurisés SSL Secure Sockets Layer), avec obtention d'un canal sécurisé établi au moment de la connexion
  • FTP sur SSL (cryptage implicite) - utilisé pour se connecter via des serveurs compatibles SSL, avec obtention d'un canal sécurisé établi avant la connexion.
  • SFTP utilisant SSH2 - utilisé pour se connecter à un serveur SFTP utilisant une connexion cryptée.
Utilisateur - Le nom d'utilisateur qui servira à établir une session avec le serveur.
Mot de passe - Le mot de passe qui servira à établir une session avec le serveur. Sélectionnez Ne pas enregistrer le mot de passe si vous ne voulez pas que FileZilla mémorise votre mot de passe pour le sire concerné. Dans ce cas le mot de passe vous sera demandé à chaque fois que vous voudrez vous connecter à ce site. Utile si vous n'êtes pas le seul à avoir accès à votre machine.
Type d'authentification - Spécifie de quelle façon FileZilla devra se connecter au serveur. Si vous sélectionnez anonyme, vous ne pouvez entrer ni nom d'utilisateur ni mot de passe. Dans ce cas le nom d'utilisateur est toujours anonyme. Quand vous sélectionnez Normal, vous devez entrer un nom d'utilisateur et si nécessaire, un mot de passe. Quand vous cochez "Contourner paramètres proxy / pare-feu", FileZilla évite toute configuration proxy ou pare-feu que vous avez réglé dans les options. Activer cette option peut être nécessaire si vous voulez vous connecter aux serveurs par votre réseau local LAN.
Répertoire distant par défaut,
Répertoire local par défaut 		- Quand vous vous connectez à un site, FileZilla bascule à la fois sur le répertoire local et distant que vous avez entré ici.
Site par défaut - Si cette option est sélectionnée, le site concerné dans la liste sera le site par défaut. Ce site sera sélectionné chaque fois que vous ouvrez le Gestionnaire de Site. FileZilla vous connectera également à ce site quand vous utiliserez "Connexion au Site par défaut" à partir du menu de la fenêtre principale.
Nouveau Site - Crée une nouvelle entrée dans la liste. Remplissez les champs éditables de droite et le nouveau site est prêt à être utilisé.
Nouveau Dossier - Crée un nouveau dossier dans l'arborescence. Utilisez des dossiers pour regrouper vos sites.
Supprimer - Supprime les entrées sélectionnées de la liste des sites après vous avoir demandé confirmation.
Connexion - Vous connecte au site sélectionné et enregistre tout changement.
Annuler - Ignore tout changement et ferme le Gestionnaire de Sites.
Enregistrer et Quitter - Enregistre tous les changements et ferme le Gestionnaire de Sites.

Le menu:

Le Gestionnaire de Sites possède un petit menu à partir duquel vous pouvez importer ou exporter ses entrées.

Vos sites peuvent être exportés de deux façons: comme une simple liste d'URL ou avec tous les détails. Dans les deux cas il vous sera demandé le nom du fichier texte dans lequel vos sites seront exportés. Dans le premier cas, seule l'URL complète (incluant port, nom d'utilisateur, mot de passe et répertoire distant) du serveur seront enregistrés. Dans le second cas, tous les paramètres seront exportés.

Quand vous sélectionnez Importer à partir du menu, il vous sera demandé un nom de fichier. FileZilla détecte automatiquement si le fichier contient des sites et s'il s'agit d'une liste d'URL ou d'une liste détaillée.


Configuration

Vue d'Ensemble:

FileZilla supporte beaucoup d'options de configuration que vous pouvez régler dans la boîte de dialogues "Options de FileZilla". Cliquez sur "Paramètres" dans le menu "Édition" pour ouvrir la boîte de dialogue.

Dans des conditions normales, vous n'avez pas à configurer FileZilla. FileZilla est fourni avec des réglages d'options par défaut qui sont optimisés pour la plupart des utilisateurs.

Les options sont divisées en plusieurs sections énumérées à gauche de la boîte de dialogue des Options. Cliquez sur une entrée de l'arborescence pour ouvrir la section correspondante.

(Fenêtre de connexion de la boîte de dialogue des Options de FileZilla)

Chaque page présente des rubriques séparées et leurs options associées:

  • Connexion - Cette page présente certains options générales de connexion
  • Configuration du Pare-feu - Configure les connexions à travers un pare-feu
  • Configuration Proxy FTP Proxy - Configure à travers un proxy FTP
  • Configuration Proxy - Configure à travers les proxy SOCKS4/5
  • Support GSS - Options pour le support GSS intégré
  • Cache de Répertoire - Active/désactive le cache local de la structure du serveur distant
  • Serveur d'Identification - Active/désactive le serveur d'identification intégré.
  • Configuration des Transferts de Fichiers - Contrôle les différents aspects du transfert des fichiers
  • Transfert ASCII/Binaire - Sélection du mode de transfert
  • Limite de Vitesse - Sélection du mode de transfert
  • Configuration de l'Interface - Contrôle l'affichage des fenêtres de FileZilla
  • Liste des Fichiers Locaux - Configure la disposition de la liste de fichiers locaux
  • Liste des Fichiers Distants - Configure la disposition de la liste de fichiers distants
  • Langue - Choisit la langue de FileZilla
  • Divers - Options supplémentaires concernant l'interface
  • Afficher /Éditer un Fichier - Installe les associations de type de fichier pour afficher / éditer les fichiers distants


Connection

Connexion

Vue d'Ensemble:

La section de connexion et ses rubriques contrôlent la façon dont FileZilla se connecte aux serveurs FTP.

(Fenêtre de connexion de la boîte de dialogue des Options de FileZilla)

Paramètres Anti-déconnexion:

La plupart des connexions FTP font des pauses s'il y a eu inactivité trop longtemps. FileZilla peut être configuré pour envoyer des commandes Anti-déconnexion comme "PWD", "REST 0", "TYPE A", ou "TYPE I" pour simuler un activité et empêcher le serveur FTP de vous déloger. Pour utiliser le Système Anti-déconnexion, cochez la case "Activer le Système Anti-déconnexion". Vous pouvez aussi configurer la frequence des commandes Anti-déconnexion en entrant à quel intervalles de temps FileZilla enverra des commandes Anti-déconnexion. Notez que l'activation de cette option n'empêhe pas les serveurs qui n'utisent pas les pauses de transfert de vous déloger si l'inactivité a été trop longue.

Détection des Temps d'Inactivité:

Après que FileZilla ait envoyé une commande, si le serveur FTP ne répond pas, ou lance une réponse qui n'aboutit pas, FileZilla présume que la connexion est devenue inactive, et entraîne la déconnexion. Ici, vous pouvez entrer le délai en secondes que FileZilla doit attendre avant la déconnexion. Si vous avez une connexion très lente au serveur et qu'il se produit toujours des pauses, essayez d'utiliser des valeurs plus élevées.

Paramètres de Ralance:

Si une connexion se ferme pendant un transfert, FileZilla peut être configuré pour se reconnecter et retenter le transfert. Ici, vous pouvez configurer le temps que FileZilla attendra avant de se reconnecter, et le nombre de tentatives de reconnexion.

Options Supplémentaires

La section connexion dispose des plusieurs rubriques dans lesquelles vous pouvez configurer d'autres aspects de la connexion:

  • Configuration Pare-feu

  • Configuration Proxy FTP

  • Configuration Proxy

  • Support GSS

  • Cache de Dossier

  • Serveur d'Identité


Firewall settings

Configuration du Pare-feu

Vue d'ensemble:

En utilisant les options de cette section, vous pouvez configurer FileZilla pour qu'il soit compatible avec votre pare-feu.

Limiter les ports locaux utilisés par FileZilla | - | Activez cette option si votre Pare-feu ne permet aux applications que d'utiliser une plage spécifique de port. Si tous les ports appartenant à cette plage spécifiée sont déjà utilisés ou si votre pare-feu empêche les applications d'utiliser ces ports, vous ne pourrez pas vous connecter aux serveurs ftp derrière votre pare-feu.
Mode Passif | - | Mode passif activé. Sans le mode passif, le serveur FTP établit une connexion avec votre ordinateur pour les transferts. Avec le mode passif activé, FileZilla établit une connexion avec le serveur pour les transferts. Le mode passif devrait être activé quand un type de pare-feu est sélectionné ou si vous ne pouvez accepter les connexions entrantes.

Contactez votre administrateur système si vous ne connaissez pas l'information requise ou si vous avez un problème de connexion en rapport avec votre pare-feu.


Proxy settings

Configuration Proxy

Vue d'ensemble:

En complément au support de Pare-feu, FileZilla supporte aussi les serveurs proxy à base de SOCKS4 et SOCKS5. Paramètrer le serveur proxy est très similaire à la configuration d'un pare-feu.

Type de Proxy | - | FileZilla supporte les proxy SOCKS4 et SOCKS5. Veuillez sélectionner le type de proxy approprié. Si votre proxy supporte SOCKS4 et SOCKS5, sélectionnez SOCKS5
Hôte | - | L'adresse du proxy
Port | - | Le port du proxy
Utilisateur | - | Le nom d'utilisateur utilisé pour vous ouvrir une session avec le proxy. Notez que seul le serveur proxy SOCKS5 supporte l'ouverture d'une session.
Mot de passe | - | Le mot de passe utilisé pour vous ouvrir une session avec le proxy. Notez que seul le serveur proxy SOCKS5 supporte l'ouverture d'une session.
Utiliser Utilisateur / Mot de passe pour proxy SOCKS5 | - | Quand vous utilisez le proxy SOCKS5, il peut nécessiter l'ouverture d'un session. Activez cette case et entrez votre nom d'utilisateur et votre mot de passe dans le champ de texte approprié.

Contactez votre administrateur système si vous ne connaissez pas l'information requise ou si vous avez des problèmes de connexion avec le proxy SOCKS.


FTP Proxy settings

Configuration d'un Proxy FTP

Vue d'ensemble:

FileZilla supporte les connexions aux serveurs FTP par proxy FTP . Il existe beaucoup de types de proxy différents, mais FileZilla devrait pouvoir se connecter à travers la plupart des proxy ftp

Hôte du Proxy | - | L'adresse du Proxy
Port | - | Le port du Proxy
Utilisateur | - | Le nom d'utilisateur utilisé pour votre connexion Proxy
Mot de passe | - | Le mot de passe utilisé pour votre connexion Proxy
Type de Proxy | - | Spécifie le type de Proxy. Essayez d'utiliser USER FireID@Remothost d'abord. Si vous avez des problèmes de connexion au serveur, essayez les autres types de proxy

Contactez votre administrateur système si vous ne connaissez pas l'information requise ou si vous avez un problème de connexion en rapport avec le proxy.


GSS Support

Support GSS

Vue d'ensemble:

FileZilla peut communiquer avec les serveurs FTP utilisant Kerberos avec GSS. Quand cette option est sélectionnée, toutes les données envoyées entre FileZilla et le serveur FTP seront cryptées. Cela signifie que les autres utilisateurs du réseau ne pourront pas dérober votre mot de passe ou vos données.

Pour utiliser cette fonction, vous devez vous assurer que:

  • le serveur FTP supporte GSS et Kerberos

  • vous possédez Kerberos pour Windows, installé sur votre ordinateur

  • vous avez obtenu 5 tickets Kerberos

Si ces conditions ne sont pas rassemblées, FileZilla vous proposera l'option d'envoyer toutes vos données en clair. Ne faites pas cela si votre mot de passe ou vos données doivent rester secrets!

Activation GSS:

Cochez Activer le support Kerberos GSS pour activer Kerberos GSS.

Serveurs ayant GSS activé:

Du fait que la plupart des serveurs ne supportent pas GSS, FileZilla ne l'utilise pas par défaut au cours de ses processus d'ouverture de session. Si vous souhaitez que FileZilla utilise GSS quand il se connecte à un serveur ou un ensemble de serveurs, vous devez les entrer dans le champ Serveurs ayant GSS activé. Vous pouvez entrer aussi bien le nom complet des serveurs que leur nom de domaine. Quand vous essayez de vous connecter à un serveur, FileZilla comparera le nom complet du serveur à la liste de ce champ. Si le nom du serveur se termine par une chaîne de la liste, GSS sera utilisé.

Par exemple, si la liste comporte "mit.edu", FileZilla utilisera GSS quand il se connecte à "mint-square.mit.edu" ou "athena.dialup.mit.edu", mais il n'utilisera pas GSS pour une connexion à ftp.microsoft.com.

Si la liste comporte "mint-square.mit.edu", FileZilla n'utilisera GSS que quand il se connectera à "mint-square.mit.edu".

  • Pour ajouter un serveur à la liste, entrez son nom dans le petit champ de texte et cliquez sur Ajouter.

  • Pour supprimer un serveur de la liste, cliquez sur son nom dans la liste et cliquez sur Supprimer.

FileZilla supporte aussi les alias. FileZilla ira résoudre automatiquement l'alias et le comparera au nom réel du serveur en faisant un rapprochement avec la liste. Par exemple si "athena.dialup" est un alias de "thena.dialup.mit.edu", et que vous vous connectez à "athena.dialup", FileZilla retrouvera l'adresse réelle, "athena.dialup.mit.edu" dans ce cas et fera un rapprochement avec la liste.


Directory Cache

Cache des Répertoires

Vue d'Ensemble

Le cache des répertoires de FileZilla est une fonction très puissante. Il stocke tous les répertoires que vous avez visité sur le serveur, de telle sorte que FileZilla n'aura pas à récupérer la liste du répertoire auprès du serveur la prochaine fois que vous voudrez afficher le même répertoire. C'est particulièrement utile lorsque vous parcourez un répertoire à structure complexe sur le serveur.

Quand le cache de répertoires est activé, il est également possible de parcourir les répertoires déjà visités pendant le transferts des fichiers, de sorte que vous pouvez mettre les fichiers en file d'attente pour téléchargement pendant que le transfert est en cours.

Les trois champs de texte de la page de la boîte de dialogue contrôlent la durée pendant laquelle le répertoire restera en cache. Quand cette durée est dépassée, le répertoire sera purgé du cache.
Si vous réglez cette valeur à un niveau trop élevé, vous ne pourrez pas constater de changement sur le serveur, comme les nouveaux fichiers ou les fichiers modifiés.
En outre, si ce réglage est trop bas, le cache deviendra inutile du fait que son contenu sera purgé trop tôt et que vous ne pourrez pas parcourir ce serveur pendant le transfert si vous avez désactivé Utiliser les connexions multiples.


Ident server

Serveur d'Identification

Vue d'ensemble:

Certains serveurs requièrent de leurs utilisateurs l'obligation d'utiliser un autre serveur actif comme méthode supplémentaire d'identification. FileZilla est fourni avec un serveur d'identification intégré qui peut être activé dans la section Serveur d'Identité.

Activer le Serveur d'Identité

Cette option active le serveur d'identité. Vous devez éditer les champs de texte avec votre ID utilisateur et les références de votre système. Ne soyez pas troublé de voir UNIX comme système, c'est simplement la valeur par défaut que la plupart des serveurs d'identification utilisent, incluant ceux sous Windows.

Activer seulement lors d'une connexion

Si cette option est sélectionnée, le serveur d'identification ne sera activé que pendant l'établissement de la connexion. Cependant, certains serveurs peuvent avoir recours à un serveur d'identification actif dans différentes situations, et dans ce cas, désactivez simplement cette option.

N'accepter les requêtes que du même IP

Quand cette fonction est activée, seules les requêtes en provenance du même hôte comme le serveur auquel vous vous connectez / vous vous êtes connecté obtiendront une réponse.


File transfer settings

Configuration du transfert de fichiers

Vue d'ensemble:

Dans la section de configuration du transfert de fichiers et ses sous-sections, vous pouvez modifier le comportement de FileZilla au cours du transfert de fichiers.

(Section transfert de fichiers de la boîte de dialogue des Options de FileZilla)

Conserver date/heure des fichiers reçus du serveur

Par défaut, la date d'un nouveau fichier correspond à sa date de création. Activez cette fonction si FileZilla doit préserver l'horodatage d'un fichier reçu. Si cette case est cochée, le fichier reçu a la même date/heure que le fichier sur le serveur.

Utiliser des connexions simultanées pour transférer les fichiers

Cette fonction activée, FileZilla peut transférer plusieurs fichiers en une seule fois et il est également possible de parcourir les serveurs pendant le transfert des fichiers. Le champ de texte en dessous précise le nombre de fichiers pouvant être transférés en même temps.
Si Utiliser des connexions simultanées pour transférer les fichiers est activé, FileZilla lance une nouvelle connexion pour chaque transfert. Désactivez cette fonction si vous vous connectez fréquemment aux serveurs qui ne permettent pas les connexions multiples et qui peuvent même vous interdire d'essayer d'établir des connexions multiples.

Options fichiers existants

Vous pouvez sélectionner l'action de transfert par défaut vers la cible des fichiers qui existent déjà. Par défaut, FileZilla vous demande à chaque fois la permission de remplacer un fichier.

Options supplémentaires

La section Transfert de Fichiers présente plusieurs sous-sections dans lesquelles vous pouvez configurer d'autres options de transfert:

  • ASCII/Binaire

  • Vitesse Limite


ASCII/Binary

Transfert ASCII/Binaire

Vue d'Ensemble

Plus particulièrement quand un serveur FTP utilise un système d'exploitation différent du votre, il se peut que vous ayez à utiliser des modes de transfert différents pour différents types de fichiers. Par défaut, FileZilla essaie de détecter le type de fichiers et sélectionne un mode de transfert. Cette page vous permet de contrôler la sélection du mode de transfert.

Type de transfert par défaut | - | Laissez cette option sur Détection Auto, sauf si vous voulez obliger FileZilla à utiliser un mode spécifique pour chaque transfert, ce qui n'est pas conseillé
Fichiers ASCII | - | Quand vous choisissez Détection Auto, FileZilla choisit le mode ASCII pour tous les types de fichiers qui figurent dans la liste. Pour ajouter un nouveau type de fichier, entrez l'extension dans le champ de texte et cliquez sur Ajouter; pour supprimer un type de fichier, sélectionnez le dans la liste et cliquez sur Supprimer.

Attention: si des mauvais types de fichier se trouvent dans la liste ou si vous avez sélectionné un type de transfert autre que Détection Auto, le transfert aura pour résultat une corruption des fichiers.


Speed Limit Settings

Configuration de la Vitesse Limite

Vue d'ensemble:

Il est parfois inadéquat de transférer les fichiers à la vitesse maximale possible. Dans ce cas, vous pouvez régler les limites de la vitesse dans cette section.

(Fenêtre de configuration de la limite de Vitesse de la boîte de dialogue des Paramètres de FileZilla)

Les limites de vitesse sont divisées en 2 catégories: Vitesse limite de Téléchargement et Vitesse limite de Chargement. De cette façon, vous pouvez configurer les vitesses limites séparément pour les envois et réceptions.

Vous pouvez aussi bien régler une Vitesse Limite Constante, qu'établir des Règles de Limites de Vitesse.

Pour chaque règle vous pouvez spécifier le jour de la semaine et/ou l'heure à laquelle la règle deviendra active. Lors de l'exécution des règles au cours d'un transfert, la vitesse limite sera établie en fonction de la première règle active de la liste.


Interface settings

Configuration de l'Interface

Vue d'ensemble:

La section Paramètres de l'interface contrôle l'aspect visuel de la fenêtre de FileZilla.

(Section de Configuration de l'Interface de FileZilla de la boîte de dialogue des Paramètres)

Paramètres de démarrage:

Vous pouvez paramétrer l'aspect visuel de FileZilla pour chaque lancement.

Toujours utiliser la configuration ci-dessous: activez ce bouton radio si vous voulez que FileZilla conserve une aspect spécifique.

Près du label "Afficher ces éléments de l'IUG", vous pouvez choisit les éléments de FileZilla qui seront visibles:

  • Barre d'Outils

  • Barre d'État

  • Barre de connexion rapide: une barre en haut de la fenêtre principale de FileZilla où vous pouvez entrer rapidement les informations de connexion et vous connecter.

  • Journal des messages: cadre du haut de la fenêtre principale de FileZilla dans laquelle s'affiche le déroulement des communications entre FileZilla et le serveur FTP.

  • Arborescence locale: cadre de la moitié gauche de la fenêtre principale de FileZilla dans lequel s'affichent les dossiers de votre ordinateur local.

  • File d'attente des transferts: cadre du bas de la fenêtre principale de FileZilla dans lequel sont affichés les transferts.

  • Arborescence distante: cadre de la moitié droite de la fenêtre principale de FileZilla dans lequel sont affichés les dossiers de votre ordinateur distant.

Dans la sous-section Liste de Fichiers Locaux ou Liste de Fichiers Distants, vous pouvez choisir de quelle façon seront affichés les fichiers, par l'intermédiaire de la liste déroulante.

  • Détails: fonction similaire aux détails d'affichage de l'Explorateur Windows où chaque fichier est affiché avec des lignes de séparation de colonnes pour montrer ses attributs.

  • Grandes icônes: comme pour l'affichage Grandes icônes de l'Explorateur Windows où chaque fichier est représenté par une grande icône.

  • Liste: comme pour l'affichage Liste de l'Explorateur Windows où les fichiers sont affichés sous forme d'une liste.

  • Petites icônes: similaire aux Petites Icônes de l'Explorateur Windows où tout fichier est représenté par une petite icône.

Si vous affichez le mode Détails, vous pouvez déterminer quelles colonnes seront affichées en cochant les cases attenantes au label Colonnes visibles pour l'affichage....

Site Local:

  • Taille de fichier: taille du fichier

  • Type de fichier: type de fichier (c'est-à-dire fichier texte, application, etc.)

  • Date de dernière modification: l'indication d'horodatage de la dernière modification du fichier

Site Distant:

  • Taille de fichier: taille du fichier

  • Date/Heure: l'indication d'horodatage de la dernière modification du fichier

  • Permissions: les permissions concernant le fichier

Mémoriser la dernière configuration utilisée: validez ce bouton radio si vous voulez que FileZilla mémorise et utilise l'aspect qu'il avait lors de son dernier lancement. Dans ce cas, vous devrez utilisez le menu de la fenêtre principale pour modifier l'aspect visuel du programme

Divers:

Cochez Afficher le libellé des vues si vous voulez voir "Site Local:" et "Site Distant:" dans la barre de titre des cadres de répertoires correspondants dans la fenêtre principale de FileZilla.

Options supplémentaires:

  • Liste des fichiers locaux - Configure l'apparence de la liste des fichiers locaux

  • Liste des fichiers distants - Configure l'apparence de la liste des fichiers distants

  • Langue - installe la langue de l'interface de FileZilla

  • Divers - Options supplémentaires de configuration de l'interface

  • Visualisation / Édition de Fichier - Installe les association de type de fichier pour l'affichage / l'édition des fichiers distants


Local file list

Liste des Fichiers Locaux

Vue d'ensemble:

Cette section vous permet de configurer l'apparence de la liste des fichiers locaux.

(Section de la Liste des fichiers locaux de la boîte de dialogue des Options de FileZilla)

Toujours utiliser la configuration suivante

Si cette option est sélectionnée, l'agencement sélectionné sera utilisé pour la liste des fichiers locaux.

Affichage par défaut

Choisissez l'un des styles suivants pour la liste de fichiers locaux:

Détails - Liste des fichiers avec les détails complets, le style par défaut
Liste - Liste seulement les noms de fichiers et affiche leurs icônes, la liste sera déployée horizontalement si elle est plus importante que la taille de la fenêtre de liste
Grandes icônes - Liste sous forme de grandes icônes avec le nom de fichier en dessous.
Petites icônes - Liste seulement les noms de fichiers et affiche leurs icône, dossiers déployés verticalement

Colonnes visibles pour l'affichage détaillé

Spécifie les colonnes qui seront visibles en relation avec la liste détaillée. Utile si vous ne voulez pas afficher tous les détails.

Se souvenir de la dernière configuration utilisée

Cette option sélectionnée, FileZilla mémorisera l'agencement du cadre de la liste des fichiers locaux à la fermeture et restaurera cet agencement au prochain lancement.

Mémoriser la largeur des colonnes dans l'affichage détaillé

Cette option activée, FileZilla mémorisera la largeur des colonnes du cadre de la liste des fichiers locaux dans le mode d'affichage détaillé.

Format de tailles de fichiers

Spécifie sous quel format la taille des fichiers sera affichée. La taille peut aussi bien être affichée en bytes, KB et MB. Avec le mode Auto, FileZilla tient compte de la taille de fichier pour s'adapter au plus petit affichage: un gros fichier pouvant entraîner une grande chaîne à afficher, FileZilla utilisera les KB ou MB dans ce cas.


Remote file list

Liste des Fichiers Distants

Vue d'ensemble:

Cette section configure l'apparence de la liste des fichiers distants.

(Section Liste des fichiers distants de la boîte de dialogue des Paramètres)

Toujours utiliser la configuration suivante

Quand cette option est sélectionnée, les éléments choisis pour l'affichage de la liste des fichiers distants seront utilisés.

Affichage par défaut

Choisir l'un des types d'affichage de la liste des fichiers distant dans le menu déroulant:

Détails - Liste des fichiers présentant tous les détails: c'est le style par défaut
Liste - Liste des noms de fichiers et de leurs icônes seulement. Cette liste peut être étendue horizontalement si elle est trop importante pour la taille de la fenêtre
Grandes icônes - Liste sous forme d'icônes avec le nom de fichier dessous.
Petites icônes - Liste des noms de fichiers et de leurs icônes seulement. Cette liste peut être étendue verticalement si elle est trop importante pour la taille de la fenêtre

Colonnes visibles pour l'affichage détaillé

Spécifie quelles colonnes seront visibles avec le style 'Détaillé'. Utile si vous ne souhaitez pas afficher tous les détails.

Se souvenir de la dernière configuration utilisée

Si cette option est sélectionnée, FileZilla mémorisera l'agencement de la liste des fichiers distants à la fermeture et le restituera à la prochaine session.

Mémoriser la largeur des colonnes dans l'affichage détaillé

Si cette option est activée, FileZilla mémorisera la largeur des colonnes pour l'affichage de la liste des fichiers distants pour le style 'Détaillé'.

Format de la taille des fichiers dans le style 'Détaillé'

Spécifie sous quel format la taille de fichiers sera affichée. La taille peut aussi bien être affichée en bytes, KB et MB. Avec le mode Auto, FileZilla tient compte de la taille de fichier pour s'adapter au plus petit affichage: un gros fichier pouvant entraîner une grande chaîne à afficher, FileZilla utilisera les KB ou MB dans ce cas.

Toujours montrer les fichiers cachés

Par défaut, certains serveurs n'affichent pas les fichiers cachés comme les fichiers dot (noms de fichiers commençant par un point). Activez Toujours montrer les fichiers cachés si vous voulez voir ces fichiers. Cependant, tous les serveurs ne supportent pas cette fonction, et peuvent retourner une erreur ou des listes de dossiers distants rompus ou incomplets. Soyez donc prudent en activant cette fonction.


Language

Langue de l'Interface

Vue d'ensemble:

FileZilla supporte habituellement deux langues: l'Anglais et l'Allemand. Il utilise l'anglais par défaut. Pour un affichage en allemand, vous devez télécharger le fichier DLL de langue allemande sur la Page Web de FileZilla. Bienvenu à chacun d'entre vous qui voudrait traduire l'interface de FileZilla et/ou cette documentation dans la langue de son choix! :-)

Dans la section Langue de la boîte de dialogue des Options de FileZilla, vous pouvez sélectionner la langue souhaitée pour l'affichage de FileZilla.

Cliquez simplement sur votre langage, et cliquez ensuite sur OK pour enregistrer et fermer la boîte de dialogue.


Miscellaneous

Options Diverses

Vue d'ensemble:

Dans cette section vous pourrez régler quelques options diverses concernant l'interface.

(Section Divers de la boîte de dialogue des Paramètres)

Dossier par défaut

Vous pouvez entrer ici le dossier local qui sera utilisé par FileZilla au démarrage. Si vous sélectionnez "Mémoriser le dernier dossier utilisé", FileZilla utilisera le dossier qui a été utilisé la dernière fois que vous avez travaillé avec FileZilla. Si vous sélectionnez "Toujours utiliser ce dossier comme dossier par défaut", FileZilla basculera systématiquement vers ce dossier quand vous lancerez le programme.

Options du Gestionnaire de Sites

Ouvrir le Gestionnaire de Sites à chaque lancement de FileZilla

Si cette option est sélectionnée, le Gestionnaire de Sites sera ouvert chaque fois que vous lancerez FileZilla.

Trier d'abord les dossiers dans le Gestionnaire de Sites

Si cette option est sélectionnée, l'arborescence du Gestionnaire de Sites sera triée avec tous les dossiers apparaissant sous Sites FTP.

Par défaut, ne pas développer les dossiers

Si cette option est sélectionnée, le Gestionnaire de Sites ne développera pas automatiquement ses dossiers à son ouverture.


File viewing / editing

Visualisation / Édition de fichier

Vue d'ensemble:

FileZilla peut visualiser / éditer des fichiers sur le serveur. Dans cette section vous pouvez associer des programmes à différents types de fichiers.

(Section Visualiser / Éditer de la boîte de dialogue des Paramètres de FileZilla)

Programme par défaut pour ouvrir ou éditer un fichier

Le programme par défaut est toujours utilisé pour ouvrir un fichier si aucun autre programme n'a été spécifié pour ce type de fichier.

Associations personnalisées de fichiers

Chaque ligne représente une association de fichier. Toutes les lignes commencent avec l'extension suivie d'un espace. Suit ensuite, le programme qui sera utilisé pour ouvrir le type de fichier. Vous devrez mettre entre guillemets toute extension qui contient des espaces. Les lignes non valides seront supprimées de la liste.
Pour des fichiers sans extension, par exemple les fichiers ayant pour nom README qui peuvent être trouvés sur beaucoup de serveurs, entrez un simple point comme type de fichier.

Quelques exemples:

txt c:\windows\system32\notepad.exe
abc c:\program files\abc\abc.exe
"ma très longue extension" c:\mytool.exe
. c:\mytools\textview.exe


Debug

Débogage

Vue d'Ensemble:

Dans cette section vous pouvez activer certaines fonctions de débogage qui sont utiles si vous avez certains problèmes avec FileZilla.

Tracer les messages du moteur ftp:

Quand cette option est activée, FileZilla affiche une grande quantité d'informations supplémentaires dans le journal des messages pour indiquer ce qui s'est passé à l'intérieur du programme

Afficher la liste brute des répertoires:

Si cette option est activée, FileZilla affiche la liste brute des répertoires dans le journal de messages exactement comme il les reçoit du serveur

Enregistrer le journal des messages:

Tout ce qui apparaît dans le journal des messages est consigné dans un fichier sous un nom de fichier donné


Credits

Remerciements

Remerciements (dans l'ordre chronologique):

Tim Kosse | - | Chef de Projet
Xiowen Xin | - | Autre Développeur
Michael Muehldorfer | - | Traduction en Allemand
Piotr Murawski, Rafal Lampe | - | Traduction en Polonais
Jose Brito | - | Traduction en Espagnol
Fabien Illide | - | Traduction en Français
Simon Tatham et son équipe | - | Les créateurs de PuTTY
Andrea Sanavia | - | Traduction en Italien
Asparouh Kalyandjiev | - | Traduction en Bulgare
Bata György | - | Traduction en Hongrois
'Doberman' | - | Autre Développeur
'Yuan Chia Fu | - | Traduction en Chinois Traditionnel
Roman Ruckschloss | - | Autre Développeur
'Thunder White' | - | Traduction en Chinois Simplifié

Sont particulièrement remerciés:

Christian Brueffer et Max Moellers pour avoir eu l'idée d'écrire un client FTP
CodeProject et Codeguru - bonne documentation pour les développeurs VC++, merci pour les excellents articles!
Toutes les autres personnes qui ont aidé à l'amélioration de FileZilla en rapportant les bugs et leurs suggestions